''//////////////////////////////////////////////////////////////////////////////
''                               Intel Confidential
'' Copyright  2008 2009 2010 Intel Corporation
'' All Rights Reserved.
'' 
'' The source code contained or described herein and all documents related to
'' the source code ("Material") are owned by Intel Corporation or its suppliers
'' or licensors. Title to the Material remains with Intel Corporation or its
'' suppliers and licensors. The Material contains trade secrets and
'' proprietary and confidential information of Intel or its suppliers and
'' licensors. The Material is protected by worldwide copyright and trade
'' secret laws and treaty provisions. No part of the Material may be used,
'' copied, reproduced, modified, published, uploaded, posted, transmitted,
'' distributed, or disclosed in any way without Intels prior express written
'' permission.
'' 
'' No license under any patent, copyright, trade secret or other intellectual
'' property right is granted to or conferred upon you by disclosure or delivery
'' of the Materials, either expressly, by implication, inducement, estoppel or
'' otherwise. Any license under such intellectual property rights must be
'' express and approved by Intel in writing.
'' 
'' File Name: RemoveFactoryMode.vbs
'' 
''//////////////////////////////////////////////////////////////////////////////

Option Explicit

Const HKEY_CLASSES_ROOT 	= &H80000000
Const HKEY_CURRENT_USER 	= &H80000001
Const HKEY_LOCAL_MACHINE 	= &H80000002
Const HKEY_USERS 		= &H80000003
Const HKEY_CURRENT_CONFIG 	= &H80000005

Const REG_KEY_INTEL = "SOFTWARE\Intel"
Const REG_KEY_RUN = "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"
Const REG_KEY_ARP = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall"

Const TURBOBOOST_SERVICE_NAME = "'TurboBoost'"

Const REG_VAL_TB_PRODUCT_GUID = "{B77EFA0B-9BD3-4122-9F9A-15A963B5EA24}"
Const REG_VAL_INTEL_FACTORYMODE = "FactoryMode"
Const REG_VAL_INTEL_INSTALL_LOCATION = "InstallLocation"
Const REG_VAL_INTEL_RUNONCE = "RunOnce"
Const REG_VAL_TB_SERVICE_NAME = "TurboBoost"

Dim Result
Dim strMyComputer
Dim strKeyPath, strFactoryModeName, strPathValue, strPathValuea, strMSM
Dim astrPathValuea
Dim objRegistry
Dim objWMIService, colServiceList, objService
Dim WshShell

Set WshShell = WScript.CreateObject("WScript.Shell")

strMyComputer = "."
Set objRegistry = GetObject( "winmgmts:{impersonationLevel=impersonate}!\\" & _ 
                              strMyComputer & "\root\default:StdRegProv" )
' Remove the FactoryMode key
strKeyPath = REG_KEY_INTEL
strFactoryModeName = REG_VAL_INTEL_FACTORYMODE
objRegistry.DeleteValue HKEY_LOCAL_MACHINE, strKeyPath, strFactoryModeName
If Err.Number = 0 Then
    WScript.Echo "FactoryMode key deleted"
End If


' Release objects
Set WshShell = Nothing
Set objRegistry = Nothing
Set objWMIService = Nothing
